Re: [PATCH 1/2] autogen.sh: warn if gtkdocize is missing, exit on error
- From: Dan Williams <dcbw redhat com>
- To: Petr Vorel <petr vorel gmail com>
- Cc: networkmanager-list gnome org
- Subject: Re: [PATCH 1/2] autogen.sh: warn if gtkdocize is missing, exit on error
- Date: Thu, 18 Jun 2015 09:30:41 -0500
On Thu, 2015-06-18 at 01:45 +0200, Petr Vorel wrote:
Signed-off-by: Petr Vorel <petr vorel gmail com>
---
autogen.sh | 9 ++++++++-
1 file changed, 8 insertions(+), 1 deletion(-)
diff --git a/autogen.sh b/autogen.sh
index 5ec9a5a..86f89cc 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -22,7 +22,14 @@ PKG_NAME=NetworkManager
cd $srcdir
-gtkdocize
+GTKDOCIZE=`which gtkdocize` || true
+if test -z $GTKDOCIZE; then
+ echo "**Error**: No GTK-Doc found, please install it" >&2
Actually, gtkdoc isn't required for the build unless you want to do
'make dist' or distcheck. So in theory, perhaps we should just warn
about that and continue, instead of erroring out?
Dan
+ exit 1
+else
+ gtkdocize || exit $?
+fi
+
autopoint --force
AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]